with GNATCOM.Dispinterface;

package MSHTML.ICanvasImageData_Object is

   type ICanvasImageData_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_width
     (This : ICanvasImageData_Type)
     return GNATCOM.Types.VARIANT;

   function Get_height
     (This : ICanvasImageData_Type)
     return GNATCOM.Types.VARIANT;

   function Get_data
     (This : ICanvasImageData_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ICanvasImageData_Object;

